Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7417 - No information re: hostname and user associated with stdin
Summary: No information re: hostname and user associated with stdin
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sh-utils
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: bero
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-29 20:45 UTC by Scott Gibson
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-04 15:19:34 UTC


Attachments (Terms of Use)

Description Scott Gibson 1999-11-29 20:45:29 UTC
I am not totally sure if this is a "who" problem but the symptom is shown
via the who command.

When running "/usr/bin/who -ml" I no longer get the user and hostname
associated with stdin when running locally (under X).  This will only work
if I am running gdm and GNOME.  This problem will occur whether "who" is
run from gnome-terminal, xterm, or rxvt.  This has worked up through RH
Linux 6.0.  I get similar results using XFce and KDE.

Comment 1 Elliot Lee 2000-02-04 15:18:59 UTC
The basic problem is that 'who' has the -m option at all. utmp entries are for
login sessions, not shell prompts, so there is no direct correlation between a
particular pty and a particular session. The -m option mostly remains for
historical reasons - in the "old days", they didn't have to worry about things
such as logins via gdm etc. :)

Comment 2 Elliot Lee 2000-02-04 15:19:59 UTC
The basic problem is that 'who' has the -m option at all. utmp entries are for
login sessions, not shell prompts, so there is no direct correlation between a
particular pty and a particular session. The -m option mostly remains for
historical reasons - in the "old days", they didn't have to worry about things
such as logins via gdm etc. :)


Note You need to log in before you can comment on or make changes to this bug.